Преглед на файлове

Add blob lists and extraction scripts

* Thanks to gmrt for the initial gapps list

Signed-off-by: Paul Keith <[email protected]>
Paul Keith преди 8 години
родител
ревизия
15d9e01ed6
променени са 7 файла, в които са добавени 156 реда и са изтрити 0 реда
  1. 25 0
      common-proprietary-files.txt
  2. 69 0
      extract-files.sh
  3. 1 0
      proprietary-files-arm.txt
  4. 2 0
      proprietary-files-arm64.txt
  5. 1 0
      proprietary-files-x86.txt
  6. 2 0
      proprietary-files.txt
  7. 56 0
      setup-makefiles.sh

+ 25 - 0
common-proprietary-files.txt

@@ -0,0 +1,25 @@
+-app/GoogleContactsSyncAdapter/GoogleContactsSyncAdapter.apk:PRESIGNED
+-app/GoogleExtShared/GoogleExtShared.apk:PRESIGNED
+
+-priv-app/ConfigUpdater/ConfigUpdater.apk:PRESIGNED
+-priv-app/GoogleBackupTransport/GoogleBackupTransport.apk:PRESIGNED
+-priv-app/GoogleExtServices/GoogleExtServices.apk:PRESIGNED
+-priv-app/GoogleFeedback/GoogleFeedback.apk:PRESIGNED
+-priv-app/GoogleLoginService/GoogleLoginService.apk:PRESIGNED
+-priv-app/GoogleOneTimeInitializer/GoogleOneTimeInitializer.apk:PRESIGNED
+-priv-app/GooglePartnerSetup/GooglePartnerSetup.apk:PRESIGNED
+-priv-app/GoogleServicesFramework/GoogleServicesFramework.apk:PRESIGNED
+-priv-app/Phonesky/Phonesky.apk:PRESIGNED
+
+-framework/com.google.android.maps.jar:PRESIGNED
+-framework/com.google.android.media.effects.jar:PRESIGNED
+-framework/com.google.widevine.software.drm.jar:PRESIGNED
+
+etc/permissions/com.google.android.maps.xml
+etc/permissions/com.google.android.media.effects.xml
+etc/permissions/com.google.widevine.software.drm.xml
+etc/permissions/com.android.omadm.service.xml
+
+etc/sysconfig/google.xml
+etc/sysconfig/google_build.xml
+etc/sysconfig/whitelist_com.android.omadm.service.xml

+ 69 - 0
extract-files.sh

@@ -0,0 +1,69 @@
+#!/bin/bash
+#
+# Copyright (C) 2016 The CyanogenMod Project
+# Copyright (C) 2017 The LineageOS Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -e
+
+export GAPPS_COMMON=common
+export VENDOR=gapps
+
+# Load extract_utils and do some sanity checks
+MY_DIR="${BASH_SOURCE%/*}"
+if [[ ! -d "$MY_DIR" ]]; then MY_DIR="$PWD"; fi
+
+CM_ROOT="$MY_DIR"/../..
+
+HELPER="$CM_ROOT"/vendor/cm/build/tools/extract_utils.sh
+if [ ! -f "$HELPER" ]; then
+    echo "Unable to find helper script at $HELPER"
+    exit 1
+fi
+. "$HELPER"
+
+while [ "$1" != "" ]; do
+    case $1 in
+        -p | --path )           shift
+                                SRC=$1
+                                ;;
+        -t | --target )         shift
+                                export TARGET=$1
+    esac
+    shift
+done
+
+if [ -z "$SRC" ]; then
+    echo "Warning, path to system dump not specified, pulling from adb"
+    SRC=adb
+fi
+
+if [ -z "$TARGET" ]; then
+    echo "Warning, target for extraction not specified, defaulting to arm"
+    TARGET=arm
+fi
+
+# Initialize the helper for common gapps
+setup_vendor "$GAPPS_COMMON" "$VENDOR" "$CM_ROOT"
+
+extract "$MY_DIR"/common-proprietary-files.txt "$SRC"
+
+# Reinitialize the helper for target gapps
+setup_vendor "$TARGET" "$VENDOR" "$CM_ROOT"
+
+extract "$MY_DIR"/proprietary-files-$TARGET.txt "$SRC"
+extract "$MY_DIR"/proprietary-files.txt "$SRC"
+
+"$MY_DIR"/setup-makefiles.sh

+ 1 - 0
proprietary-files-arm.txt

@@ -0,0 +1 @@
+lib/libjni_latinimegoogle.so|2eba28b0bc56c44aa89749cb4e2423068b9fcd4e

+ 2 - 0
proprietary-files-arm64.txt

@@ -0,0 +1,2 @@
+lib/libjni_latinimegoogle.so|2eba28b0bc56c44aa89749cb4e2423068b9fcd4e
+lib64/libjni_latinimegoogle.so|84f9b1dc4c1b45f0c5ec9043b99a50c54e58ae1d

+ 1 - 0
proprietary-files-x86.txt

@@ -0,0 +1 @@
+lib/libjni_latinimegoogle.so|5e1e142c1ff8dcd97c9574f90d613c878bde0e79

+ 2 - 0
proprietary-files.txt

@@ -0,0 +1,2 @@
+-priv-app/PrebuiltGmsCore/PrebuiltGmsCore.apk:PRESIGNED
+-priv-app/SetupWizard/SetupWizard.apk:PRESIGNED

+ 56 - 0
setup-makefiles.sh

@@ -0,0 +1,56 @@
+#!/bin/bash
+#
+# Copyright (C) 2016 The CyanogenMod Project
+# Copyright (C) 2017 The LineageOS Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -e
+
+# Load extract_utils and do some sanity checks
+MY_DIR="${BASH_SOURCE%/*}"
+if [[ ! -d "$MY_DIR" ]]; then MY_DIR="$PWD"; fi
+
+CM_ROOT="$MY_DIR"/../..
+
+HELPER="$CM_ROOT"/vendor/cm/build/tools/extract_utils.sh
+if [ ! -f "$HELPER" ]; then
+    echo "Unable to find helper script at $HELPER"
+    exit 1
+fi
+. "$HELPER"
+
+# Initialize the helper for common gapps
+setup_vendor "$GAPPS_COMMON" "$VENDOR" "$CM_ROOT"
+
+# Copyright headers
+write_headers
+
+# Common gapps
+write_makefiles "$MY_DIR"/common-proprietary-files.txt
+
+# We are done with common
+write_footers
+
+# Reinitialize the helper for target gapps
+setup_vendor "$TARGET" "$VENDOR" "$CM_ROOT"
+
+# Copyright headers and guards
+write_headers
+
+write_makefiles "$MY_DIR"/proprietary-files-$TARGET.txt
+write_makefiles "$MY_DIR"/proprietary-files.txt
+
+# We are done with target
+write_footers